> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/graphics/textmanager/removetext.md).

# RemoveText

### Introduction

The RemoveText method will remove the argument Text instance from the engine so it will no longer be drawn or have every-frame management applied. RemoveText also removes the Text from any [PositionedObjectList](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php) that it is a part of (assuming a two-way relationship).

### Code Example

```
// Assuming text is a valid Text which has been added to the TextManager
TextManager.RemoveText(text);
```

RemoveText can also remove entire lists:

```
PositionedObjectList<Text> textList = new PositionedObjectList<Text>();
// populate textList by adding Text objects to it.

// This will remove all Text objects contained in textList and also
// clear textList if it is a two-way list.
TextManager.RemoveText(textList);
```

For more information see [AttachableLists](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/graphics/textmanager/removetext.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
